
--笼子恶搞
cage_loop = false	

cages = {} 
function cage_player(pos)
	local object_hash = util.joaat("prop_gold_cont_01b")
	pos.z = pos.z-0.9
	
	STREAMING.REQUEST_MODEL(object_hash)
	while not STREAMING.HAS_MODEL_LOADED(object_hash) do
		util.yield()
	end
	local object1 = OBJECT.CREATE_OBJECT(object_hash, pos.x, pos.y, pos.z, true, true, true)
	cages[#cages + 1] = object1																			

	local object2 = OBJECT.CREATE_OBJECT(object_hash, pos.x, pos.y, pos.z, true, true, true)
	cages[#cages + 1] = object2
	

	ENTITY.FREEZE_ENTITY_POSITION(object1, true)
	ENTITY.FREEZE_ENTITY_POSITION(object2, true)
	local rot  = ENTITY.GET_ENTITY_ROTATION(object2)
	rot.x = -180
	rot.y = -180
	ENTITY.SET_ENTITY_ROTATION(object2, rot.x,rot.y,rot.z,1,true)
	STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(object_hash)
end
--声音恶搞
voice_troll_options = {"庞森比女士迪丝", "基夫隆", "辱骂"}

gta_labels = require('lib.baibailib.all_labels')
all_labels = gta_labels.all_labels
sexts = gta_labels.sexts
text_options = {"裸体", "随机文本"}

--更改爆炸类型
bmobdifficent = {{'Grenade'},
{'Grenade Launcher'},
{'Sticky Bomb'},
{'Molotov'},
{'Rocket'},
{'Tank Shell'},
{'Hi Octane'},
{'Car'},
{'Plane'},
{'Gasoline Pump'},
{'Motorcycle'},
{'Steam'},
{'Flame'},
{'Water Jet'},
{'Gas Canister Flame'},
{'Boat'},
{'Ship Destroy'},
{'Truck'},
{'Bullet'},
{'Smoke Grenade Launcher (adjust delay to start)'},
{'Smoke Grenade (adjust delay to start)'},
{'BZ Gas'},
{'Flare'},
{'Gas Canister'},
{'Fire Extinguisher'},
{'Programmable AR'},
{'Train'},
{'Barrel'},
{'Propane'},
{'Blimp'},
{'Yet Another Flame'},
{'Tanker'},
{'Plane Rocket'},
{'Vehicle Bullet'},
{'Gas Tank'},
{'Bird Crap'},
{'Rail Gun'},
{'Blimp 2'},
{'Firework'},
{'Snowball'},
{'Proximity Mine'},
{'Valkyrie Cannon'},
{'Air Defence (can not be seen outside of water)'},
{'Pipe Bomb'},
{'Vehicle Mine'},
{'Explosive Ammo'},
{'APC Shell'},
{'Bomb Cluster'},
{'Bomb Gas (can not be seen)'},
{'Bomb Incendiary'},
{'Bomb Standard'},
{'Torpedo'},
{'Torpedo Underwater (Use this if they are in the water)'},
{'Bombushka Cannon'},
{'Bomb Cluster Secondary'},
{'Hunter Barrage'},
{'Hunter Cannon'},
{'Rogue Cannon'},
{'Mine Underwater'},
{'Orbital Cannon (can not be seen outside of water)'},
{'Bomb Standard Wide'},
{'Explosive Ammo Shotgun'},
{'Oppressor MK2 Cannon'},
{'Mortar Kinetic'},
{'Vehicle Mine Kinetic'},
{'Vehicle Mine EMP'},
{'Vehicle Mine Spike'},
{'Vehicle Mine Slick'},
{'Vehicle Mine Tar'},
{'Script drone'},
{'Up-n-Atomizer'},
{'Buried Mine'},
{'Script Missile'},
{'RC Tank Rocket'},
{'Bomb Water (can not be seen outside of water)'},
{'Bomb Water Secondary (can not be seen outside of water)'},
{'Stun Grenade Alt'},
{'Stun Grenade Alt 2'},
{'Flash Grenade'},
{'Stun Grenade'},
{'Stun Grenade Alt 3'},
{'Script Missile Large'},
{'Submarine Big'},
{'EMP Launcher EMP'},
}

animalsTable = {
    ['Cat'] = 'a_c_cat_01',
    ['Pug'] = 'a_c_pug',
    ['Killerwhale'] = 'a_c_killerwhale',
    ['Dolphin'] = 'a_c_dolphin',
    ['Hen'] = 'a_c_hen',
    ['Pig'] = 'a_c_pig',
    ['Chimp'] = 'a_c_chimp',
    ['Rat'] = 'a_c_rat',
    ['Fish'] = 'a_c_fish',
    ['Retriever'] = 'a_c_retriever',
    ['Rottweiler'] = 'a_c_rottweiler',
}

weapon_list = {
    "微型冲锋枪", "特质卡宾步枪", "突击霰弹枪", "火神机枪", "火箭筒", "电磁步枪"
}
weapon_list_model = {
    "WEAPON_MICROSMG", "WEAPON_SPECIALCARBINE", "WEAPON_ASSAULTSHOTGUN", "WEAPON_MINIGUN", "WEAPON_RPG", "WEAPON_RAILGUN"
}

weapon_stuff = {
    {"烟花", "weapon_firework"}, 
    {"原子能枪", "weapon_raypistol"},
    {"邪恶冥王", "weapon_raycarbine"},
    {"电磁步枪", "weapon_railgun"},
    {"红色激光", "vehicle_weapon_enemy_laser"},
    {"绿色激光", "vehicle_weapon_player_laser"},
    {"天煞机炮", "vehicle_weapon_player_lazer"},
    {"火箭炮", "weapon_rpg"},
    {"制导火箭发射器", "weapon_hominglauncher"},
    {"紧凑型电磁脉冲发射器", "weapon_emplauncher"},
    {"信号弹", "weapon_flaregun"},
    {"霰弹枪", "weapon_bullpupshotgun"},
    {"电击枪", "weapon_stungun"},
    {"催泪瓦斯", "weapon_smokegrenade"}
}

throwablesTable = {
    ['Grenade']  = util.joaat('weapon_grenade'),
    ['Sticky Bomb']  = util.joaat('weapon_stickybomb'),
    ['Proximity Mine']  = util.joaat('weapon_proxmine'),
    ['BZ Gas']  = util.joaat('weapon_bzgas'),
    ['Tear Gas']  = util.joaat('weapon_smokegrenade'),
    ['Molotov']  = util.joaat('weapon_molotov'),
    ['Flare']  = util.joaat('weapon_flare'),
    ['Snowball']  = util.joaat('weapon_snowball'),
    ['Ball']  = util.joaat('weapon_ball'),
    ['Pipe Bomb'] = util.joaat('weapon_pipebomb'),
}